<template>
  <v-dialog
    ref="confirmDialog"
    v-model="dialog"
    persistent
    max-width="300px"
  >
    <v-card>
      <v-card-title class="headline">
        {{ title }}
      </v-card-title>

      <v-card-text>
        {{ content }}
      </v-card-text>

      <v-card-actions>
        <v-spacer />

        <v-btn
          color="green darken-1"
          text
          @click="dialog = false"
        >
          Cancel
        </v-btn>

        <v-btn
          color="green darken-1"
          text
          @click="selectOK($event)"
        >
          OK
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script>

  export default {
    layout: 'dashboard',
    components: {},
    props: {
      dataValue: {
        default: Object,
      },
    },
    data () {
      return {
        valid: true,
        dialog: false,
        title: 'Confirm',
        content: 'Bạn có muốn xóa không?',
      }
    },
    computed: {},
    mounted: function () {}, // end method
    created () {}, // end data
    methods: {
      selectOK ($event) {
        this.$emit('select-ok', this.dataValue)
      },
    }, // end created
  } // End exxport defaul
</script>
<style scoped>
</style>
